Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchTreeMaking extends MatchCodeGen with Debugging

  Translate our IR (TreeMakers) into actual Scala Trees using the factory methods in MatchCodeGen.

  Translate our IR (TreeMakers) into actual Scala Trees using the factory methods in MatchCodeGen.

  The IR is mostly concerned with sequencing, substitution, and rendering all necessary conditions, mostly agnostic to whether we're in optimized/pure (virtualized) mode.

  Definition Classes
    patmat
-  trait TreeMakers extends TypedSubstitution with CodegenCore
  Definition Classes
    MatchTreeMaking
-  object TypeTestTreeMaker extends Serializable
  Definition Classes
    TreeMakers
- TypeTestCondStrategy
- pureTypeTestChecker
- treeCondStrategy

o

scala.tools.nsc.transform.patmat.MatchTreeMaking.TreeMakers.TypeTestTreeMaker

# pureTypeTestChecker 

###

#### object pureTypeTestChecker extends TypeTestCondStrategy

Source
  MatchTreeMaking.scala

Linear Supertypes
TypeTestCondStrategy, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. pureTypeTestChecker
2. TypeTestCondStrategy
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  type Result = Boolean
   Definition Classes
     pureTypeTestChecker → TypeTestCondStrategy

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def and(a: Result, b: Result): Result
   Definition Classes
     pureTypeTestChecker → TypeTestCondStrategy
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def eqTest(pat: Global.Tree, testedBinder: Global.Symbol): Result
   Definition Classes
     pureTypeTestChecker → TypeTestCondStrategy
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def equalsTest(pat: Global.Tree, testedBinder: Global.Symbol): Result
    Definition Classes
      pureTypeTestChecker → TypeTestCondStrategy
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def nonNullTest(testedBinder: Global.Symbol): Result
    Definition Classes
      pureTypeTestChecker → TypeTestCondStrategy
17.  final def notify(): Unit
    Definition Classes
      AnyRef
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  def tru: Boolean
    Definition Classes
      pureTypeTestChecker → TypeTestCondStrategy
22.  def typeTest(testedBinder: Global.Symbol, expectedTp: Global.Type): Result
    Definition Classes
      pureTypeTestChecker → TypeTestCondStrategy
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  def withOuterTest(orig: Result)(testedBinder: Global.Symbol, expectedTp: Global.Type): Result
    Definition Classes
      TypeTestCondStrategy

### Inherited from TypeTestCondStrategy

### Inherited from AnyRef

### Inherited from Any

### Ungrouped